<div *ngIf="dietSummary$ | async as dietSummary" id="diet-summary-wrapper" class="card">

    <!-- header -->
    <div id="diet-summary-header" class="macro-row">
        <!-- Daily goal-->
        <div class="daily-goal">
            <label>Daily goal</label>
        </div>

        <!-- Left-->
        <div class="left">
            <label>Left</label>
        </div>

        <!-- Filled-->
        <div class="filled">
            <label>Filled</label>
        </div>
    </div>
    <!-- Kcal -->
    <div id="diet-summary-kcal" class="macro-row">
        <!-- Daily goal-->
        <div class="daily-goal">
            <label class="second-color">Calories</label>
            <span class="main-color">{{ dietSummary.kcal.goal }} kcal</span>
        </div>

        <!-- Left-->
        <div class="left">
            <span>{{ dietSummary.kcal.goal - dietSummary.kcal.current | number:'1.0-0'}} kcal</span>
        </div>

        <!-- Filled-->
        <div class="filled main-color">
            <span>{{dietSummary.kcal.current | number:'1.0-0'}} kcal</span>
        </div>
    </div>

    <!-- Proteins -->
    <div id="diet-summary-proteins" class="macro-row">
        <!-- Daily goal-->
        <div class="daily-goal">
            <label class="second-color">Proteins</label>
            <span class="main-color">{{ dietSummary.proteins.totalGrms }} gr</span>
        </div>

        <!-- Left-->
        <div class="left">
            <span>{{ dietSummary.proteins.totalGrms - dietSummary.proteins.currentGrms | number:'1.0-0'}} gr</span>
        </div>

        <!-- Filled-->
        <div class="filled main-color">
            <span>{{dietSummary.proteins.currentGrms | number:'1.0-0'}} gr</span>
        </div>
    </div>

    <!-- Fats -->
    <div id="diet-summary-fats" class="macro-row">
        <!-- Daily goal-->
        <div class="daily-goal">
            <label class="second-color">Fats</label>
            <span class="main-color">{{ dietSummary.fats.totalGrms }} gr</span>
        </div>

        <!-- Left-->
        <div class="left">
            <span>{{ dietSummary.fats.totalGrms - dietSummary.fats.currentGrms | number:'1.0-0'}} gr</span>
        </div>

        <!-- Filled-->
        <div class="filled main-color">
            <span>{{dietSummary.fats.currentGrms | number:'1.0-0'}} gr</span>
        </div>
    </div>

    <!-- Hcs -->
    <div id="diet-summary-hcs" class="macro-row">
        <!-- Daily goal-->
        <div class="daily-goal">
            <label class="second-color">Carbohydrates</label>
            <span class="main-color">{{ dietSummary.hcs.totalGrms }} gr</span>
        </div>

        <!-- Left-->
        <div class="left">
            <span>{{ dietSummary.hcs.totalGrms - dietSummary.hcs.currentGrms | number:'1.0-0'}} gr</span>
        </div>

        <!-- Filled-->
        <div class="filled main-color">
            <span>{{dietSummary.hcs.currentGrms | number:'1.0-0'}} gr</span>
        </div>
    </div>

</div>